Package io.dapr.v1

# Enum DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase

java.lang.Object
java.lang.Enum<DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase>
io.dapr.v1.DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase>`

Enclosing class:
  DaprProtos.SubscribeTopicEventsRequestAlpha1

public static enum DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase extends Enum<DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase> implements com.google.protobuf.Internal.EnumLite

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EVENT_PROCESSED`
`INITIAL_REQUEST`
`SUBSCRIBETOPICEVENTSREQUESTTYPE_NOT_SET`

## Method Summary

Modifier and Type
Method
Description
`static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase`
`forNumber(int value)`
`int`
`getNumber()`
`static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase`
`valueOf(int value)`
Deprecated.
`static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIAL_REQUEST

public static final DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase INITIAL_REQUEST

### EVENT_PROCESSED

public static final DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase EVENT_PROCESSED

### SUBSCRIBETOPICEVENTSREQUESTTYPE_NOT_SET

public static final DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase SUBSCRIBETOPICEVENTSREQUESTTYPE_NOT_SET

## Method Details

### values

public static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### valueOf

@Deprecated public static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static DaprProtos.SubscribeTopicEventsRequestAlpha1.SubscribeTopicEventsRequestTypeCase forNumber(int value)

### getNumber

public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`